Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(244)

Unified Diff: webrtc/modules/audio_processing/test/py_quality_assessment/apm_quality_assessment.sh

Issue 2715233003: APM Quality Generator, noise generator and evaluation score workers factory + echo noise generator (Closed)
Patch Set: rebase + style fix Created 3 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: webrtc/modules/audio_processing/test/py_quality_assessment/apm_quality_assessment.sh
diff --git a/webrtc/modules/audio_processing/test/py_quality_assessment/apm_quality_assessment.sh b/webrtc/modules/audio_processing/test/py_quality_assessment/apm_quality_assessment.sh
index 84330d0d1651b19abd8c1b08ed57d3c46f7888ba..91cdce6750cc47a4b877a26ca3b554998d0c6a30 100755
--- a/webrtc/modules/audio_processing/test/py_quality_assessment/apm_quality_assessment.sh
+++ b/webrtc/modules/audio_processing/test/py_quality_assessment/apm_quality_assessment.sh
@@ -7,6 +7,30 @@
# in the file PATENTS. All contributing project authors may
# be found in the AUTHORS file in the root of the source tree.
+# Path to the POLQA tool.
+if [ -z ${POLQA_PATH} ]; then # Check if defined.
+ # Default location.
+ export POLQA_PATH='/var/opt/PolqaOem64'
+fi
+if [ -d "${POLQA_PATH}" ]; then
+ echo "POLQA found in ${POLQA_PATH}"
+else
+ echo "POLQA not found in ${POLQA_PATH}"
+ exit 1
+fi
+
+# Path to the Aechen IR database.
+if [ -z ${AECHEN_IR_DATABASE_PATH} ]; then # Check if defined.
+ # Default location.
+ export AECHEN_IR_DATABASE_PATH='/var/opt/AIR_1_4'
+fi
+if [ -d "${AECHEN_IR_DATABASE_PATH}" ]; then
+ echo "AIR database found in ${AECHEN_IR_DATABASE_PATH}"
+else
+ echo "AIR database not found in ${AECHEN_IR_DATABASE_PATH}"
+ exit 1
+fi
+
# Customize probing signals, noise sources and scores if needed.
PROBING_SIGNALS=(probing_signals/*.wav)
NOISE_SOURCES=( \
@@ -44,7 +68,9 @@ for probing_signal_filepath in "${PROBING_SIGNALS[@]}" ; do
echo "Starting ${probing_signal_name} ${noise_source_name} "`
`"(see ${LOG_FILE})"
./apm_quality_assessment.py \
- -i ${probing_signal_filepath}\
+ --polqa_path ${POLQA_PATH}\
+ --air_db_path ${AECHEN_IR_DATABASE_PATH}\
+ -i ${probing_signal_filepath} \
-o ${OUTPUT_PATH} \
-n ${noise_source_name} \
-c "${APM_CONFIGS[@]}" \

Powered by Google App Engine
This is Rietveld 408576698